明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1536|回复: 3

我定义了一个动态数组

[复制链接]
发表于 2005-12-30 01:20:00 | 显示全部楼层 |阅读模式

请问如何将一系列相互连接的PL生成面域啊?

我定义了一个动态数组

Dim polylineobj() as Acadpolyline

..................

do

.......

set polylineobj() =thisdrawing...........addpolyline(points)

.......

loop

生成的最后一条PL与第一条的起点相连

再生成面域addregion(polylineobj)

运行的时候提示addregion方法错误,是不是不能这样生成面域啊,

发表于 2005-12-30 19:33:00 | 显示全部楼层
你看看帮助文件就行了
发表于 2005-12-30 20:37:00 | 显示全部楼层
从来没有见过给数组赋值的,VB不是VC,VC倒可以给它一个指针!
发表于 2005-12-31 08:31:00 | 显示全部楼层
<RE class=Code>看看下面的你就会了</PRE><RE class=Code>Sub Example_AddRegion()
    ' This example creates a region from an arc and a line.
   
    Dim curves(0 To 1) As AcadEntity

    ' Define the arc
    Dim centerPoint(0 To 2) As Double
    Dim radius As Double
    Dim startAngle As Double
    Dim endAngle As Double
    centerPoint(0) = 5#: centerPoint(1) = 3#: centerPoint(2) = 0#
    radius = 2#
    startAngle = 0
    endAngle = 3.141592
    Set curves(0) = ThisDrawing.ModelSpace.AddArc(centerPoint, radius, startAngle, endAngle)
   
    ' Define the line
    Set curves(1) = ThisDrawing.ModelSpace.AddLine(curves(0).startPoint, curves(0).endPoint)
        
    ' Create the region
    Dim regionObj As Variant
    regionObj = ThisDrawing.ModelSpace.AddRegion(curves)
    regionObj(0).Color = acRed
    ZoomAll
   
End Sub</PRE>
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-27 08:40 , Processed in 0.163623 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表